Method: customers.enterprise.securityInsights.queryUrlVisitsBreakdowns

Returns summaries of URL visits for a given metric and breakdown dimension.

HTTP request

GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/enterprise/securityInsights:queryUrlVisitsBreakdowns

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customer

string

Required. The customer ID in the format "customers/{customer_id}".

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of breakdowns to return. The service may return fewer than this value. If unspecified, at most 50 breakdowns will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous securityInsights.queryUrlVisitsBreakdowns call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to securityInsights.queryUrlVisitsBreakdowns must match the call that provided the page token.

filter

string

Optional. The filter to apply to the request. For syntax, see AIP-160. Data is not available for events older than 180 days or more recent than 48 hours ago. If event_time is not specified, results will end 48 hours ago.

Supported fields for filtering: - user - event_domain - event_time

Filtering by user or event_domain requires the breakdown dimension to be set to the corresponding value (e.g., you must set breakdown = USER to filter by user).

Supported operators: - = for user and event_domain. - <= for event_time.

Supported conjunctions: - AND

Example: user = "testuser" AND event_time <= "2024-01-02T00:00:00Z"

metric

enum (UrlVisitsMetric)

Optional. The metric to return the breakdowns for. Defaults to URL_VISITS_METRIC_TOTAL_SUSPICIOUS_URL_VISITS.

breakdown

enum (UrlVisitsBreakdownDimension)

Optional. The dimension to break down the URL visits by. Defaults to USER.

fixedTimeRange

enum (FixedTimeRange)

Optional. The fixed time range to return the breakdowns for. Defaults to FIXED_TIME_RANGE_FOUR_WEEKS. Fixed time ranges are used to allow for precomputation and optimize response times.

Request body

The request body must be empty.

Response body

Response message for securityInsights.queryUrlVisitsBreakdowns.

If successful, the response body contains data with the following structure:

JSON representation
{
  "urlVisitsBreakdowns": [
    {
      object (UrlVisitsBreakdown)
    }
  ],
  "nextPageToken": string
}
Fields
urlVisitsBreakdowns[]

object (UrlVisitsBreakdown)

The URL visit breakdowns from the specified insight.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chrome.management.securityinsights.readonly
  • https://www.googleapis.com/auth/chrome.management.securityinsights

UrlVisitsBreakdownDimension

The dimension to break down the URL visits by.

Enums
URL_VISITS_BREAKDOWN_DIMENSION_UNSPECIFIED Unspecified breakdown dimension. Defaults to USER.
USER Breakdown by user.
EVENT_DOMAIN Breakdown by event domain.

UrlVisitsBreakdown

A URL visits summary for a given breakdown dimension.

JSON representation
{
  "summary": {
    object (UrlVisitsSummary)
  },

  // Union field dimension can be only one of the following:
  "user": string,
  "eventDomain": string
  // End of list of possible types for union field dimension.
}
Fields
summary

object (UrlVisitsSummary)

The summary of URL visits for the breakdown dimension.

Union field dimension. The dimension for the breakdown. dimension can be only one of the following:
user

string

The user that visited the URL.

eventDomain

string

The event domain of the URL visits.